# Makefile.in generated by automake 1.11.1 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.







pkgdatadir = $(datadir)/cone
pkgincludedir = $(includedir)/cone
pkglibdir = $(libdir)/cone
pkglibexecdir = $(libexecdir)/cone
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = powerpc--netbsd
host_triplet = powerpc--netbsd
target_triplet = powerpc--netbsd
noinst_PROGRAMS = cone$(EXEEXT) leaf$(EXEEXT) htmlparsertest$(EXEEXT) \
	pwtest$(EXEEXT)
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/../config.guess \
	$(srcdir)/../config.rpath $(srcdir)/../config.sub \
	$(srcdir)/../depcomp $(srcdir)/../install-sh \
	$(srcdir)/../ltmain.sh $(srcdir)/../missing \
	$(srcdir)/APPLICATION.PDF.filter.in $(srcdir)/IMAGE.filter.in \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/cone.dist.in $(srcdir)/cone.sh.in \
	$(srcdir)/config.h.in $(srcdir)/http.handler.in \
	$(top_srcdir)/configure $(top_srcdir)/intl/Makefile.in \
	../ABOUT-NLS ../AUTHORS ../COPYING ../ChangeLog \
	../config.guess ../config.rpath ../config.sub ../depcomp \
	../install-sh ../ltmain.sh ../missing ABOUT-NLS
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
	$(top_srcdir)/m4/fcntl-o.m4 $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/glibc2.m4 $(top_srcdir)/m4/glibc21.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intdiv0.m4 \
	$(top_srcdir)/m4/intl.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/intmax.m4 $(top_srcdir)/m4/inttypes-pri.m4 \
	$(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/lcmessage.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/lock.m4 $(top_srcdir)/m4/longlong.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/printf-posix.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/m4/size_max.m4 $(top_srcdir)/m4/stdint_h.m4 \
	$(top_srcdir)/m4/threadlib.m4 $(top_srcdir)/m4/uintmax_t.m4 \
	$(top_srcdir)/m4/ulonglong.m4 $(top_srcdir)/m4/visibility.m4 \
	$(top_srcdir)/m4/wchar_t.m4 $(top_srcdir)/m4/wint_t.m4 \
	$(top_srcdir)/m4/xsize.m4 $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = cone.dist cone.sh IMAGE.filter \
	APPLICATION.PDF.filter http.handler intl/Makefile
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pkgdatadir)" \
	"$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man3dir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 = ../libmail/libmail.la ../maildir/libmaildir.la \
	../rfc2045/librfc2045.la ../unicode/libunicode.la \
	../tcpd/libspipe.la ../rfc822/librfc822.la \
	../rfc822/libencode.la ../liblock/liblock.la \
	../libhmac/libhmac.la ../md5/libmd5.la ../sha1/libsha1.la \
	../numlib/libnumlib.la
am_libmail_la_OBJECTS =
libmail_la_OBJECTS = $(am_libmail_la_OBJECTS)
libmail_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(libmail_la_LDFLAGS) $(LDFLAGS) -o $@
PROGRAMS = $(noinst_PROGRAMS)
am_cone_OBJECTS = acl.$(OBJEXT) addressbook.$(OBJEXT) \
	addressbookinterface.$(OBJEXT) \
	addressbookinterfaceldap.$(OBJEXT) \
	addressbookinterfacemail.$(OBJEXT) certificates.$(OBJEXT) \
	colors.$(OBJEXT) cone.$(OBJEXT) configscreen.$(OBJEXT) \
	ctrlchandler.$(OBJEXT) cursesaddresslist.$(OBJEXT) \
	cursesattachmentdisplay.$(OBJEXT) cursesedit.$(OBJEXT) \
	curseseditmessage.$(OBJEXT) curseshierarchy.$(OBJEXT) \
	cursesindexdisplay.$(OBJEXT) cursesmessage.$(OBJEXT) \
	cursesmessagedisplay.$(OBJEXT) \
	cursesmessageflowedtext.$(OBJEXT) \
	cursesmessagehtmlparser.$(OBJEXT) \
	disconnectcallbackstub.$(OBJEXT) encryptionmenu.$(OBJEXT) \
	filter.$(OBJEXT) filtereditscreen.$(OBJEXT) \
	fkeytraphandler.$(OBJEXT) gettext.$(OBJEXT) \
	globalkeys.$(OBJEXT) gpg.$(OBJEXT) hierarchy.$(OBJEXT) \
	htmlentity.$(OBJEXT) htmlparser.$(OBJEXT) init.$(OBJEXT) \
	macros.$(OBJEXT) mainmenu.$(OBJEXT) menuscreen.$(OBJEXT) \
	messagesize.$(OBJEXT) myfolder.$(OBJEXT) \
	myfolderfilter.$(OBJEXT) mymessage.$(OBJEXT) \
	myreferences.$(OBJEXT) myserver.$(OBJEXT) \
	myservercallback.$(OBJEXT) myserverconfig.$(OBJEXT) \
	myserverlogincallback.$(OBJEXT) myserverpromptinfo.$(OBJEXT) \
	myserverremoteconfig.$(OBJEXT) myservertask.$(OBJEXT) \
	myreadfolders.$(OBJEXT) nntpcommand.$(OBJEXT) \
	opendialog.$(OBJEXT) opensubfolders.$(OBJEXT) \
	outputdialog.$(OBJEXT) passwordlist.$(OBJEXT) \
	previousscreen.$(OBJEXT) savedialog.$(OBJEXT) \
	searchcallback.$(OBJEXT) searchprompt.$(OBJEXT) \
	specialfolder.$(OBJEXT) spellcheckerbase.$(OBJEXT) \
	tags.$(OBJEXT) typeahead.$(OBJEXT)
cone_OBJECTS = $(am_cone_OBJECTS)
am__DEPENDENCIES_2 =
am_htmlparsertest_OBJECTS = htmlparsertest.$(OBJEXT) \
	htmlparser.$(OBJEXT) htmlentity.$(OBJEXT)
htmlparsertest_OBJECTS = $(am_htmlparsertest_OBJECTS)
htmlparsertest_DEPENDENCIES = ../curses/libcurses.a \
	../unicode/libunicode.la
am_leaf_OBJECTS = curseseditmessage.$(OBJEXT) \
	fkeytraphandler.$(OBJEXT) gettext.$(OBJEXT) \
	htmlentity.$(OBJEXT) init.$(OBJEXT) leaf.$(OBJEXT) \
	macros.$(OBJEXT) messagesize.$(OBJEXT) \
	myserverpromptinfo.$(OBJEXT) opendialog.$(OBJEXT) \
	savedialog.$(OBJEXT) spellcheckerbase.$(OBJEXT)
leaf_OBJECTS = $(am_leaf_OBJECTS)
am_pwtest_OBJECTS = pwtest.$(OBJEXT)
pwtest_OBJECTS = $(am_pwtest_OBJECTS)
pwtest_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(pwtest_LDFLAGS) \
	$(LDFLAGS) -o $@
SCRIPTS = $(noinst_SCRIPTS) $(pkgdata_SCRIPTS)
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/../depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libmail_la_SOURCES) $(cone_SOURCES) \
	$(htmlparsertest_SOURCES) $(leaf_SOURCES) $(pwtest_SOURCES)
DIST_SOURCES = $(libmail_la_SOURCES) $(cone_SOURCES) \
	$(htmlparsertest_SOURCES) $(leaf_SOURCES) $(pwtest_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
man1dir = $(mandir)/man1
man3dir = $(mandir)/man3
NROFF = nroff
MANS = $(man1_MANS) $(man3_MANS)
DATA = $(noinst_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d "$(distdir)" \
    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr "$(distdir)"; }; }
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/missing --run aclocal-1.11
ALLOCA = 
ALLSPELLOBJ = spellcheckerPspell.$(OBJEXT) spellcheckerAspell.$(OBJEXT) spellcheckerNone.$(OBJEXT)
AMTAR = ${SHELL} /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/missing --run automake-1.11
AWK = /usr/bin/awk
BUILD_INCLUDED_LIBINTL = no
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -DLDAP_DEPRECATED -D_XOPEN_SOURCE_EXTENDED=1 -I/usr/pkg/include/ncurses
CFLAG_VISIBILITY = -fvisibility=hidden
CPP = gcc -E
CPPFLAGS = -Wall -I/usr/pkg/include/libxml2 -I/usr/include -I.. -I./.. -I/usr/pkg/include -I/usr/include -DLDAP_DEPRECATED -D_XOPEN_SOURCE_EXTENDED=1 -I/usr/pkg/include/ncurses -I../libmail -I./../libmail
CXX = c++
CXXCPP = c++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -DLDAP_DEPRECATED -D_XOPEN_SOURCE_EXTENDED=1 -I/usr/pkg/include/ncurses
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/egrep
EXEEXT = 
FGREP = /usr/bin/grep -F
GENCAT = gencat
GETTEXT_MACRO_VERSION = 0.18
GLIBC2 = no
GLIBC21 = no
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /usr/bin/grep
HAVE_ASPRINTF = 1
HAVE_NEWLOCALE = 1
HAVE_POSIX_PRINTF = 1
HAVE_SNPRINTF = 1
HAVE_VISIBILITY = 1
HAVE_WPRINTF = 0
IMAGEVIEWER1 = /usr/bin/eog
IMAGEVIEWER2 = /usr/bin/kview
INSTALL = /usr/bin/install -c -o pbulk -g users
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = :
INTLLIBS = /usr/lib/libintl.so
INTLOBJS = 
INTL_DEFAULT_VERBOSITY = 1
INTL_LIBTOOL_SUFFIX_PREFIX = 
INTL_MACOSX_LIBS = 
LD = /tmp/pkgbuild/mail/cone/work.powerpc/.cwrapper/bin/ld
LDAPSEARCH = ../ldapaddressbook/libldapsearch.la
LDFLAGS = -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib
LIBCOURIERTLS = 
LIBICONV = 
LIBINTL = /usr/lib/libintl.so
LIBMAIL = 
LIBMULTITHREAD = -lpthread
LIBOBJS = 
LIBPTH = 
LIBPTH_PREFIX = 
LIBS = 
LIBTHREAD = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBC = -lc
LTLIBICONV = 
LTLIBINTL = -L/usr/lib -lintl
LTLIBMULTITHREAD = -lpthread
LTLIBOBJS = 
LTLIBPTH = 
LTLIBTHREAD = 
MAKEINFO = /tmp/pkgbuild/mail/cone/work.powerpc/.tools/bin/makeinfo
MAN3 = 
MAN5 = 
MANIFEST_TOOL = :
MKDIR_P = ../install-sh -c -d
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = cone
PACKAGE_BUGREPORT = courier-cone@lists.sourceforge.net
PACKAGE_NAME = cone
PACKAGE_STRING = cone 0.90
PACKAGE_TARNAME = cone
PACKAGE_URL = 
PACKAGE_VERSION = 0.90
PATH_SEPARATOR = :
PERL = /usr/pkg/bin/perl
POSUB = po
PRI_MACROS_BROKEN = 0
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SPELL_LIB = -laspell
SPELL_OBJ = spellcheckerAspell.$(OBJEXT)
STRIP = strip
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 0.90
WINDRES = 
WOE32 = no
WOE32DLL = no
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XMLCONFIG = /tmp/pkgbuild/mail/cone/work.powerpc/.buildlink/bin/xml2-config
XMLLIBS = -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lxml2 -L/usr/lib -lz -L/usr/lib -llzma -L/usr/lib -lm
XPDF = /usr/bin/xpdf
abs_builddir = /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/cone
abs_srcdir = /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/cone
abs_top_builddir = /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/cone
abs_top_srcdir = /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/cone
ac_ct_AR = ar
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = /usr/pkg/bin
build = powerpc--netbsd
build_alias = powerpc--netbsd
build_cpu = powerpc
build_os = netbsd
build_vendor = 
builddir = .
cacerts = /etc/openssl/certs
datadir = /usr/pkg/share
datarootdir = /usr/pkg/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = /usr/pkg
host = powerpc--netbsd
host_alias = powerpc--netbsd
host_cpu = powerpc
host_os = netbsd
host_vendor = 
htmldatadir = /usr/pkg/share/cone
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/pkgbuild/mail/cone/work.powerpc/cone-0.90/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/pkg/man
mkdir_p = $(top_builddir)/../install-sh -c -d
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/pkg
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /usr/pkg/etc
target = powerpc--netbsd
target_alias = 
target_cpu = powerpc
target_os = netbsd
target_vendor = 
top_build_prefix = 
top_builddir = .
top_srcdir = .

#
# Copyright 2003-2008, Double Precision Inc.
#
# See COPYING for distribution information.
#
SUBDIRS = intl po
CONFIG_STATUS_DEPENDENCIES = ../tcpd/couriertls.config
noinst_SCRIPTS = cone.sh cone.dist
HTMLMACROFILES = cone.html
MANMACROFILES = man1/cone.1
noinst_DATA = help.txt http.handler html/index.html html/manpage.css \
	man/.timestamp
AUTOMAKE_OPTIONS = dist-bzip2
IMAGEFILTERS = IMAGE.GIF.filter IMAGE.JPEG.filter IMAGE.PNG.filter
pkgdata_SCRIPTS = APPLICATION.PDF.filter
cone_SOURCES = acl.C acl.H addressbook.C addressbook.H \
	addressbookinterface.C addressbookinterface.H \
	addressbookinterfaceldap.C addressbookinterfaceldap.H \
	addressbookinterfacemail.C addressbookinterfacemail.H \
	cache.H \
	certificates.C certificates.H \
	colors.C colors.H colors_inc.h \
	cone.C \
	configscreen.C configscreen.H \
	ctrlchandler.C ctrlchandler.H \
	cursesaddresslist.C cursesaddresslist.H \
	cursesattachmentdisplay.C cursesattachmentdisplay.H \
	cursesedit.C cursesedit.H \
	curseseditmessage.C curseseditmessage.H \
	curseshierarchy.C curseshierarchy.H \
	cursesindexdisplay.C cursesindexdisplay.H \
	cursesmessage.C cursesmessage.H \
	cursesmessagedisplay.C cursesmessagedisplay.H \
	cursesmessageflowedtext.C cursesmessageflowedtext.H \
	cursesmessagehtmlparser.C cursesmessagehtmlparser.H \
	disconnectcallbackstub.C disconnectcallbackstub.H \
	encryptionmenu.C encryptionmenu.H \
	filter.C filter.H \
	filtereditscreen.C filtereditscreen.H \
	fkeytraphandler.C fkeytraphandler.H \
	gettext.C gettext.H \
	globalkeys.C globalkeys.H \
	gpg.C gpg.H \
	hierarchy.C hierarchy.H \
	htmlentity.C htmlentity.h \
	htmlparser.C htmlparser.H \
	init.C init.H \
	macros.C macros.H \
	mainmenu.C mainmenu.H \
	menuscreen.C menuscreen.H \
	messagesize.C messagesize.H \
	myfolder.C myfolder.H \
	myfolderfilter.C myfolderfilter.H \
	mymessage.C mymessage.H \
	myreferences.C myreferences.H \
	myserver.C myserver.H \
	myservercallback.C myservercallback.H \
	myserverconfig.C \
	myserverlogincallback.C myserverlogincallback.H \
	myserverpromptinfo.C myserverpromptinfo.H \
	myserverremoteconfig.C myserverremoteconfig.H \
	myservertask.C myservertask.H \
	myreadfolders.C myreadfolders.H \
	nntpcommand.C nntpcommand.H \
	opendialog.C opendialog.H \
	opensubfolders.C opensubfolders.H \
	outputdialog.C outputdialog.H \
	passwordlist.C passwordlist.H \
	previousscreen.C previousscreen.H \
	savedialog.C savedialog.H \
	searchcallback.C searchcallback.H \
	searchprompt.C searchprompt.H \
	specialfolder.C specialfolder.H \
	spellchecker.H \
	spellcheckerbase.C spellcheckerbase.H \
	tags.C tags.H \
	typeahead.C typeahead.H

leaf_SOURCES = \
	curseseditmessage.C \
	fkeytraphandler.C \
	gettext.C \
	htmlentity.C \
	init.C \
	leaf.C \
	macros.C macros.H \
	messagesize.C \
	myserverpromptinfo.C \
	opendialog.C \
	savedialog.C \
	spellcheckerbase.C

htmlparsertest_SOURCES = htmlparsertest.C htmlparser.C htmlparser.H \
			htmlentity.C htmlentity.h

htmlparsertest_LDADD = ../curses/libcurses.a ../unicode/libunicode.la
man3src = $(srcdir)/man/*.3x
man1src = $(srcdir)/man/*.1
man1_MANS = $(man1src)
man3_MANS = 
lib_LTLIBRARIES = 
EXTRA_MANS = $(man3src) $(man5src)
EXTRA_LTLIBRARIES = libmail.la
LAMAILLIBS = ../libmail/libmail.la ../maildir/libmaildir.la \
	../rfc2045/librfc2045.la \
	../unicode/libunicode.la \
	../tcpd/libspipe.la  \
	../rfc822/librfc822.la ../rfc822/libencode.la \
	../liblock/liblock.la \
	../libhmac/libhmac.la ../md5/libmd5.la ../sha1/libsha1.la \
	../numlib/libnumlib.la

libmail_la_SOURCES = 
libmail_la_LIBADD = $(LAMAILLIBS)
libmail_la_DEPENDENCIES = $(LAMAILLIBS)
libmail_la_LDFLAGS = -static -rpath $(libdir)

#libmail.a: $(AMAILLIBS) $(LAMAILLIBS)
#	rm -rf libmail.a.tmp
#	rm -f libmail.a
#	mkdir libmail.a.tmp
#	cd libmail.a.tmp ; \
#	for l in $(AMAILLIBS); do N=`echo $$l | sed 's:\.\./::;s/\/.*//'` ; test -d $$N || mkdir $$N || exit 1 ; cd $$N && $(AR) x ../../$$l && cd .. ; done ;\
#	for l in $(LAMAILLIBS); do N=`echo $$l | sed 's:\.\./::;s/\/.*//'` ; test -d $$N || mkdir $$N || exit 1 ; . ../$$l; cd $$N && $(AR) x ../../`echo $$l | sed 's:[^/]*$$:.libs:'`/$$old_library && cd .. ; done ;\
#	for l in * ; do for N in `ls $$l` ; do mv $$l/$$N $${l}_$$N ; done ; rmdir $$l ; done ; $(AR) cr ../libmail.a *
#	rm -rf libmail.a.tmp
#	$(RANLIB) libmail.a

# Spell checker
SPELLSRC = spellcheckerAspell.C spellcheckerAspell.H \
	spellcheckerPspell.C spellcheckerPspell.H \
	spellcheckerNone.C spellcheckerNone.H

BUILT_SOURCES = helpfile.H buildversion.H colors_inc.h
cone_DEPENDENCIES = ../tcpd/libtlsclient.la ../curses/libcurses.a \
	../gpglib/libgpg.la \
	libmail.la \
	dummyspellchecker.a ../soxwrap/libsoxwrap.a \
	../ldapaddressbook/libldapsearch.la \
	../soxwrap/soxlibs.dep spellcheckerAspell.$(OBJEXT)

cone_LDADD = spellcheckerAspell.$(OBJEXT) $(SPELL_LIB) ../tcpd/libtlsclient.la \
	../curses/libcurses.a ../gpglib/libgpg.la libmail.la \
	../ldapaddressbook/libldapsearch.la \
	../soxwrap/libsoxwrap.a \
	`cat ../curses/curseslib ../soxwrap/soxlibs.dep` \
	 /usr/lib/libintl.so -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lxml2 -L/usr/lib -lz -L/usr/lib -llzma -L/usr/lib -lm \
	`cat ../maildir/maildir.libdeps` \
	`. ../tcpd/couriertls.config; echo $$cryptlibs`

leaf_DEPENDENCIES = ../curses/libcurses.a dummyspellchecker.a spellcheckerAspell.$(OBJEXT) \
	../libmail/objectmonitor.o \
	../unicode/libunicode.la ../maildir/libmaildir.la

leaf_LDADD = spellcheckerAspell.$(OBJEXT) $(SPELL_LIB) ../curses/libcurses.a \
	../maildir/libmaildir.la \
	../libmail/objectmonitor.o \
	`cat ../curses/curseslib` \
	 /usr/lib/libintl.so ../unicode/libunicode.la

pwtest_SOURCES = pwtest.c
pwtest_DEPENDENCIES = ../tcpd/libtlsclient.la \
	../md5/libmd5.la

pwtest_LDADD = ../tcpd/libtlsclient.la ../md5/libmd5.la \
	`. ../tcpd/couriertls.config; echo $$cryptlibs`

pwtest_LDFLAGS = -static
EXTRA_DIST = ../config.rpath testsuite1 testsuite1.out pwtest.txt colors.txt mkcolors.pl \
	fixonlinehelp.pl mkhtmlmsg.pl postproc.xsl $(SPELLSRC) \
	m4/ChangeLog $(srcdir)/m4/*.m4

CLEANFILES = dummyspellchecker.a libmail.la man.timestamp \
          helpfile.H help.txt

DISTCLEANFILES = sgmltimestamp buildversion.H
ACLOCAL_AMFLAGS = -I m4
all: $(BUILT_SOURCES) config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .C .c .lo .o .obj
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
cone.dist: $(top_builddir)/config.status $(srcdir)/cone.dist.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
cone.sh: $(top_builddir)/config.status $(srcdir)/cone.sh.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
IMAGE.filter: $(top_builddir)/config.status $(srcdir)/IMAGE.filter.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
APPLICATION.PDF.filter: $(top_builddir)/config.status $(srcdir)/APPLICATION.PDF.filter.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
http.handler: $(top_builddir)/config.status $(srcdir)/http.handler.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
intl/Makefile: $(top_builddir)/config.status $(top_srcdir)/intl/Makefile.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
	}

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libmail.la: $(libmail_la_OBJECTS) $(libmail_la_DEPENDENCIES) 
	$(libmail_la_LINK)  $(libmail_la_OBJECTS) $(libmail_la_LIBADD) $(LIBS)

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
cone$(EXEEXT): $(cone_OBJECTS) $(cone_DEPENDENCIES) 
	@rm -f cone$(EXEEXT)
	$(CXXLINK) $(cone_OBJECTS) $(cone_LDADD) $(LIBS)
htmlparsertest$(EXEEXT): $(htmlparsertest_OBJECTS) $(htmlparsertest_DEPENDENCIES) 
	@rm -f htmlparsertest$(EXEEXT)
	$(CXXLINK) $(htmlparsertest_OBJECTS) $(htmlparsertest_LDADD) $(LIBS)
leaf$(EXEEXT): $(leaf_OBJECTS) $(leaf_DEPENDENCIES) 
	@rm -f leaf$(EXEEXT)
	$(CXXLINK) $(leaf_OBJECTS) $(leaf_LDADD) $(LIBS)
pwtest$(EXEEXT): $(pwtest_OBJECTS) $(pwtest_DEPENDENCIES) 
	@rm -f pwtest$(EXEEXT)
	$(pwtest_LINK) $(pwtest_OBJECTS) $(pwtest_LDADD) $(LIBS)
install-pkgdataSCRIPTS: $(pkgdata_SCRIPTS)
	@$(NORMAL_INSTALL)
	test -z "$(pkgdatadir)" || $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)"
	@list='$(pkgdata_SCRIPTS)'; test -n "$(pkgdatadir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n' \
	    -e 'h;s|.*|.|' \
	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
	      if (++n[d] == $(am__install_max)) { \
		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
	    else { print "f", d "/" $$4, $$1 } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	     test -z "$$files" || { \
	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(pkgdatadir)$$dir'"; \
	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(pkgdatadir)$$dir" || exit $$?; \
	     } \
	; done

uninstall-pkgdataSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgdata_SCRIPTS)'; test -n "$(pkgdatadir)" || exit 0; \
	files=`for p in $$list; do echo "$$p"; done | \
	       sed -e 's,.*/,,;$(transform)'`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(pkgdatadir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(pkgdatadir)" && rm -f $$files

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/acl.Po
include ./$(DEPDIR)/addressbook.Po
include ./$(DEPDIR)/addressbookinterface.Po
include ./$(DEPDIR)/addressbookinterfaceldap.Po
include ./$(DEPDIR)/addressbookinterfacemail.Po
include ./$(DEPDIR)/certificates.Po
include ./$(DEPDIR)/colors.Po
include ./$(DEPDIR)/cone.Po
include ./$(DEPDIR)/configscreen.Po
include ./$(DEPDIR)/ctrlchandler.Po
include ./$(DEPDIR)/cursesaddresslist.Po
include ./$(DEPDIR)/cursesattachmentdisplay.Po
include ./$(DEPDIR)/cursesedit.Po
include ./$(DEPDIR)/curseseditmessage.Po
include ./$(DEPDIR)/curseshierarchy.Po
include ./$(DEPDIR)/cursesindexdisplay.Po
include ./$(DEPDIR)/cursesmessage.Po
include ./$(DEPDIR)/cursesmessagedisplay.Po
include ./$(DEPDIR)/cursesmessageflowedtext.Po
include ./$(DEPDIR)/cursesmessagehtmlparser.Po
include ./$(DEPDIR)/disconnectcallbackstub.Po
include ./$(DEPDIR)/encryptionmenu.Po
include ./$(DEPDIR)/filter.Po
include ./$(DEPDIR)/filtereditscreen.Po
include ./$(DEPDIR)/fkeytraphandler.Po
include ./$(DEPDIR)/gettext.Po
include ./$(DEPDIR)/globalkeys.Po
include ./$(DEPDIR)/gpg.Po
include ./$(DEPDIR)/hierarchy.Po
include ./$(DEPDIR)/htmlentity.Po
include ./$(DEPDIR)/htmlparser.Po
include ./$(DEPDIR)/htmlparsertest.Po
include ./$(DEPDIR)/init.Po
include ./$(DEPDIR)/leaf.Po
include ./$(DEPDIR)/macros.Po
include ./$(DEPDIR)/mainmenu.Po
include ./$(DEPDIR)/menuscreen.Po
include ./$(DEPDIR)/messagesize.Po
include ./$(DEPDIR)/myfolder.Po
include ./$(DEPDIR)/myfolderfilter.Po
include ./$(DEPDIR)/mymessage.Po
include ./$(DEPDIR)/myreadfolders.Po
include ./$(DEPDIR)/myreferences.Po
include ./$(DEPDIR)/myserver.Po
include ./$(DEPDIR)/myservercallback.Po
include ./$(DEPDIR)/myserverconfig.Po
include ./$(DEPDIR)/myserverlogincallback.Po
include ./$(DEPDIR)/myserverpromptinfo.Po
include ./$(DEPDIR)/myserverremoteconfig.Po
include ./$(DEPDIR)/myservertask.Po
include ./$(DEPDIR)/nntpcommand.Po
include ./$(DEPDIR)/opendialog.Po
include ./$(DEPDIR)/opensubfolders.Po
include ./$(DEPDIR)/outputdialog.Po
include ./$(DEPDIR)/passwordlist.Po
include ./$(DEPDIR)/previousscreen.Po
include ./$(DEPDIR)/pwtest.Po
include ./$(DEPDIR)/savedialog.Po
include ./$(DEPDIR)/searchcallback.Po
include ./$(DEPDIR)/searchprompt.Po
include ./$(DEPDIR)/specialfolder.Po
include ./$(DEPDIR)/spellcheckerbase.Po
include ./$(DEPDIR)/tags.Po
include ./$(DEPDIR)/typeahead.Po

.C.o:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.C.obj:
	$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.C.lo:
	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(LTCXXCOMPILE) -c -o $@ $<

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool config.lt
install-man1: $(man1_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
	@list='$(man1_MANS)'; test -n "$(man1dir)" || exit 0; \
	{ for i in $$list; do echo "$$i"; done; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(man1_MANS)'; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	test -z "$$files" || { \
	  echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
	  cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
install-man3: $(man3_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man3dir)" || $(MKDIR_P) "$(DESTDIR)$(man3dir)"
	@list='$(man3_MANS)'; test -n "$(man3dir)" || exit 0; \
	{ for i in $$list; do echo "$$i"; done; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
	done; }

uninstall-man3:
	@$(NORMAL_UNINSTALL)
	@list='$(man3_MANS)'; test -n "$(man3dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	test -z "$$files" || { \
	  echo " ( cd '$(DESTDIR)$(man3dir)' && rm -f" $$files ")"; \
	  cd "$(DESTDIR)$(man3dir)" && rm -f $$files; }

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@list='$(MANS)'; if test -n "$$list"; then \
	  list=`for p in $$list; do \
	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
	  if test -n "$$list" && \
	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
	    exit 1; \
	  else :; fi; \
	else :; fi
	$(am__remove_distdir)
	test -d "$(distdir)" || mkdir "$(distdir)"
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(MKDIR_P) "$(distdir)/$$subdir" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
		am__skip_mode_fix=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) \
	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
	  dist-hook
	-test -n "$(am__skip_mode_fix)" \
	|| find "$(distdir)" -type d ! -perm -755 \
		-exec chmod u+rwx,go+rx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r "$(distdir)"
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)
dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

dist-lzma: distdir
	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
	$(am__remove_distdir)

dist-xz: distdir
	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
	$(am__remove_distdir)

dist-tarZ: distdir
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
	$(am__remove_distdir)

dist-shar: distdir
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
	$(am__remove_distdir)

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	$(am__remove_distdir)

dist dist-all: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
	*.tar.bz2*) \
	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
	*.tar.lzma*) \
	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
	*.tar.xz*) \
	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/_build
	mkdir $(distdir)/_inst
	chmod a-w $(distdir)
	test -d $(distdir)/_build || exit 0; \
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && am__cwd=`pwd` \
	  && $(am__cd) $(distdir)/_build \
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    --with-included-gettext \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && rm -rf $(DIST_ARCHIVES) \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
	  && cd "$$am__cwd" \
	  || exit 1
	$(am__remove_distdir)
	@(echo "$(distdir) archives ready for distribution: "; \
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
distuninstallcheck:
	@$(am__cd) '$(distuninstallcheck_dir)' \
	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	@if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-recursive
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(SCRIPTS) $(MANS) $(DATA) \
		config.h
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pkgdatadir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man3dir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-recursive

clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
	clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-hdr distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am: install-data-local install-man install-pkgdataSCRIPTS

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am: install-exec-local install-libLTLIBRARIES

install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man: install-man1 install-man3

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf $(top_srcdir)/autom4te.cache
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-libLTLIBRARIES uninstall-local uninstall-man \
	uninstall-pkgdataSCRIPTS

uninstall-man: uninstall-man1 uninstall-man3

.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all check \
	ctags-recursive install install-am install-strip \
	tags-recursive

.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
	all all-am am--refresh check check-am clean clean-generic \
	clean-libLTLIBRARIES clean-libtool clean-noinstPROGRAMS ctags \
	ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-hook \
	dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
	distclean distclean-compile distclean-generic distclean-hdr \
	distclean-libtool distclean-tags distcleancheck distdir \
	distuninstallcheck dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am \
	install-data-local install-dvi install-dvi-am install-exec \
	install-exec-am install-exec-local install-html \
	install-html-am install-info install-info-am \
	install-libLTLIBRARIES install-man install-man1 install-man3 \
	install-pdf install-pdf-am install-pkgdataSCRIPTS install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs installdirs-am maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-recursive uninstall uninstall-am \
	uninstall-libLTLIBRARIES uninstall-local uninstall-man \
	uninstall-man1 uninstall-man3 uninstall-pkgdataSCRIPTS


check-am:
	./htmlparsertest <$(srcdir)/testsuite1 | cmp -s - $(srcdir)/testsuite1.out
	./pwtest | cmp -s - $(srcdir)/pwtest.txt

helpfile.H: config.status
	h='#define HELPFILE "${pkgdatadir}/cone.hlp"'; echo "$$h" | cmp -s - helpfile.H && exit 0; echo "$$h" >helpfile.H

buildversion.H: config.status
	echo '#define BUILDVERSION "powerpc--netbsd/'`date`'"' >buildversion.H

dummyspellchecker.a: $(ALLSPELLOBJ)
	rm -f dummyspellchecker.a
	$(AR) cr dummyspellchecker.a $(ALLSPELLOBJ)
	$(RANLIB) dummyspellchecker.a

dist-hook: $(noinst_DATA)
	$(mkinstalldirs) $(distdir)/html
	d=`test -d $(srcdir)/html && echo $(srcdir)/html || echo html` ; \
		ln $$d/* $(distdir)/html
	$(mkinstalldirs) $(distdir)/man
	d=`test -d $(srcdir)/man && echo $(srcdir)/man || echo man` ; \
		ln $$d/*.[35]x $$d/*.1 $$d/.timestamp $(distdir)/man

help.txt: config.status html/index.html
	for f in $(srcdir)/html/cone[0-9]*html; do /usr/pkg/bin/perl $(srcdir)/mkhtmlmsg.pl <$$f ; done >help.tmp
	rm -f help.txt
	../libmail/mailtool -copyto mbox:`pwd`/help.txt -tofolder "" -fromfolder "" mbox:`pwd`/help.tmp
	sed 's:^From [^ ][^ ]*:From nobody@localhost:' <help.txt >help.tmp
	mv -f help.tmp help.txt.in
	$(SHELL) $(top_builddir)/config.status --file=help.txt
	rm -f help.txt.in

#$(man1src) $(man3src) $(man5src) html/index.html html/readme.html html/install.html: sgmltimestamp

#sgmltimestamp: sgml/*.sgml
#	rm -rf html
#	$(mkinstalldirs) html
#	cp -p manpage.css icon.gif html
#	xsltproc -o html/ $(srcdir)/cone.xsl $(srcdir)/sgml/book.sgml
#	for f in html/*.html; do xsltproc --nonet $(srcdir)/../docbook/fixhtml.xsl $$f | tidy -i -q --doctype transitional --input-encoding utf8 --output-encoding ascii -asxml >html/.t; xsltproc --nonet $(srcdir)/postproc.xsl html/.t >$$f; done
#	rm -f html/.t
#	for f in html/cone*html ; do /usr/pkg/bin/perl $(srcdir)/fixonlinehelp.pl $$f ; done
#	touch sgmltimestamp

#html/manpage.css: ../docbook/manpage.css
#	cp -f $(srcdir)/../docbook/manpage.css html

#man/.timestamp: sgmltimestamp
#	$(mkinstalldirs) man
#	rm -f man/*
#	xsltproc --nonet --stringparam man.output.in.separate.dir 1 \
#		--stringparam man.output.subdirs.enabled 0 \
#		http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
#		 $(srcdir)/sgml/book.sgml
#	for f in man/* ; do sed -n '20,$$d;/<!--/p' <$(srcdir)/sgml/book.sgml | sed 's/\"/ /g;s/^/\.\\\"/g' >man/.tmp; \
#		cat $$f >>man/.tmp; \
#		mv man/.tmp $$f; done
#	>man/.timestamp

#onlinehelp: help.txt
#	cp help.txt $$HOME/Mail/libmail

install-data-local: install-man
	$(mkinstalldirs) $(DESTDIR)$(htmldatadir)
	${INSTALL} -m 444 $(srcdir)/html/* $(DESTDIR)$(htmldatadir)
	for f in $(HTMLMACROFILES) ; do mv -f $(DESTDIR)$(htmldatadir)/$$f $(DESTDIR)$(htmldatadir)/$$f.in ; $(SHELL) $(top_builddir)/config.status --file=$(DESTDIR)$(htmldatadir)/$$f ; rm -f $(DESTDIR)$(htmldatadir)/$$f.in ; done
	for f in $(MANMACROFILES) ; do mv -f $(DESTDIR)$(mandir)/$$f $(DESTDIR)$(mandir)/$$f.in ; $(SHELL) $(top_builddir)/config.status --file=$(DESTDIR)$(mandir)/$$f; rm -f $(DESTDIR)$(mandir)/$$f.in ; done

install-exec-local:
	$(mkinstalldirs) $(DESTDIR)$(htmldatadir)
	${INSTALL} -m 755 IMAGE.filter $(DESTDIR)$(pkgdatadir)/IMAGE.filter
	for f in $(IMAGEFILTERS) ; do rm -f $(DESTDIR)$(pkgdatadir)/$$f ; ln $(DESTDIR)$(pkgdatadir)/IMAGE.filter $(DESTDIR)$(pkgdatadir)/$$f; done
	rm -f $(DESTDIR)$(pkgdatadir)/IMAGE.filter
	rm -f $(DESTDIR)$(pkgdatadir)/http.handler
	rm -f $(DESTDIR)$(pkgdatadir)/https.handler
	$(INSTALL) -m 555 http.handler $(DESTDIR)$(pkgdatadir)/http.handler
	ln $(DESTDIR)$(pkgdatadir)/http.handler $(DESTDIR)$(pkgdatadir)/https.handler

uninstall-local:
	l=`ls $(srcdir)/html`; cd $(DESTDIR)$(htmldatadir) && rm -f $$l
	for f in $(IMAGEFILTERS) ; do rm -f $(DESTDIR)$(pkgdatadir)/$$f; done
	rm -f $(DESTDIR)$(pkgdatadir)/http.handler
	rm -f $(DESTDIR)$(pkgdatadir)/https.handler

colors_inc.h: colors.txt mkcolors.pl
	/usr/pkg/bin/perl $(srcdir)/mkcolors.pl <$(srcdir)/colors.txt >colors_inc.h

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
